Bug 420131 - Wrong ownership and permissions on USB device-special file
Wrong ownership and permissions on USB device-special file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nut (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Smetana
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-11 12:28 EST by Tom Killian
Modified: 2007-12-15 12:50 EST (History)
0 users

See Also:
Fixed In Version: 2.0.5-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-15 12:50:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom Killian 2007-12-11 12:28:44 EST
Description of problem:

The rules in /etc/udev/rules.d/nut-usbups.rules are always ignored, so that the
device-special file in /dev/bus/usb associated with a USB-connected UPS ends up
with the wrong ownership and permissions.

Version-Release number of selected component (if applicable):

kernel-2.6.23.1-21.fc7
udev-116-3.fc7
nut-2.0.5-6

How reproducible:
Every time.

Steps to Reproduce:
1. Attach UPS to USB port.
2. "lsusb" to learn where it is; sample output:
   Bus 001 Device 002: ID 051d:0002 American Power Conversion Back-UPS Pro
500/1000/1500
3. Look at the device-special file; in the case of the example:
   ls -l /dev/bus/usb/001/002
  
Actual results:

crw-r--r-- 1 root root 189, 1 Dec 11 11:30 /dev/bus/usb/001/002

Expected results:

crw-rw-r-- 1 root nut 189, 1 Dec 11 11:30 /dev/bus/usb/001/002

Additional info:

/etc/udev/rules.d/nut-usbups.rules starts out with the conditional:

SUBSYSTEM!="usb_device", GOTO="nut-usbups_rules_end"

but tracing with udevtest suggests that the desired SUBSYSTEM is "usb"; making
this change to the rules file seems to fix the problem.
Comment 1 Tomas Smetana 2007-12-12 10:44:43 EST
You're right.  I'm building an upgraded package.  Thanks for reporting.
Comment 2 Fedora Update System 2007-12-12 14:56:39 EST
nut-2.0.5-7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nut'
Comment 3 Tom Killian 2007-12-14 09:43:30 EST
Fixed, thanks.
Comment 4 Fedora Update System 2007-12-15 12:50:53 EST
nut-2.0.5-7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.